Create a payment session
curl --request POST \
--url https://api.example.com/api/v1/payment-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 50000,
"currency": "NGN",
"title": "Payment for Order #1234",
"description": "Complete your order payment",
"customer_email": "hansen@gmail.com",
"first_name": "Billy",
"last_name": "James",
"expires_in_minutes": 30,
"success_url": "<string>",
"cancel_url": "<string>",
"metadata": {
"order_id": "ord_xyz"
}
}
'import requests
url = "https://api.example.com/api/v1/payment-sessions"
payload = {
"amount": 50000,
"currency": "NGN",
"title": "Payment for Order #1234",
"description": "Complete your order payment",
"customer_email": "hansen@gmail.com",
"first_name": "Billy",
"last_name": "James",
"expires_in_minutes": 30,
"success_url": "<string>",
"cancel_url": "<string>",
"metadata": { "order_id": "ord_xyz" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 50000,
currency: 'NGN',
title: 'Payment for Order #1234',
description: 'Complete your order payment',
customer_email: 'hansen@gmail.com',
first_name: 'Billy',
last_name: 'James',
expires_in_minutes: 30,
success_url: '<string>',
cancel_url: '<string>',
metadata: {order_id: 'ord_xyz'}
})
};
fetch('https://api.example.com/api/v1/payment-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}Payment Sessions
Create a payment session
Initialise a payment session for onramp, offramp, or payout. Returns a reference the customer can use to complete payment.
POST
/
api
/
v1
/
payment-sessions
Create a payment session
Authorizations
API key for /api/v1/* endpoints
Body
application/json
Amount in the given currency
Example:
50000
ISO currency code
Example:
"NGN"
Session title shown on the checkout page
Example:
"Payment for Order #1234"
Session description shown on the checkout page
Example:
"Complete your order payment"
Crypto asset (locks asset for this session)
Available options:
BTC, TRX, BNB, TON, USDT, ETH, USDC, SOL Blockchain network (locks chain for this session)
Available options:
Bitcoin, Binance_Smart_Chain, Ethereum, Solana, Tron, Base, Arbitrum, TON Customer email to link this session to
Example:
"hansen@gmail.com"
Customer first name
Example:
"Billy"
Customer last name
Example:
"James"
Minutes until this session expires (default: 30)
Example:
30
Redirect URL on successful payment
Redirect URL on cancelled payment
Arbitrary key-value data
Example:
{ "order_id": "ord_xyz" }
Response
Payment session created successfully.